## nix 2.3.4+dfsg3

=== debian/changelog ===
nix (2.3.4+dfsg3-2build1) groovy; urgency=medium

  * No-change rebuild for libgc soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jul 2020 19:39:23 +0200

nix (2.3.4+dfsg3-2) unstable; urgency=medium

  * Source only upload for testing migration
  * fix FTBFS on armel and mipsel (Closes: #961284)

 -- Thomas Koch <thomas@koch.ro>  Sat, 23 May 2020 21:13:28 +0200

nix (2.3.4+dfsg3-1) unstable; urgency=medium

  * Use nlohmann-json3-dev instead of bundled code

 -- Thomas Koch <thomas@koch.ro>  Thu, 21 May 2020 13:27:46 +0200

nix (2.3.4+dfsg2-2) unstable; urgency=medium

  * Change nix-setup-systemd architecture: any -> all

 -- Thomas Koch <thomas@koch.ro>  Sat, 16 May 2020 10:36:27 +0200

nix (2.3.4+dfsg2-1) unstable; urgency=medium

  * backport fix for "Remove callout graphics", see
    https://salsa.debian.org/debian/nix/-/issues/9

 -- Thomas Koch <thomas@koch.ro>  Sun, 03 May 2020 13:50:39 +0200

nix (2.3.4+dfsg1-1) unstable; urgency=medium

  * new upstream release, fixing many DFSG issues
  * update debian/watch
  * fixing new queue rejection reasons, see
    https://salsa.debian.org/debian/nix/issues/3
  * change upstream license: LGPL-2.1+ to LGPL-2.1
    see https://salsa.debian.org/debian/nix/-/issues/4
  * address copyright review issue with RFC example
    see https://salsa.debian.org/debian/nix/-/issues/5
  * address unclear copyrights of scripts/install*.sh
    see https://salsa.debian.org/debian/nix/-/issues/7

 -- Thomas Koch <thomas@koch.ro>  Sat, 02 May 2020 19:58:20 +0200

nix (2.3.3-1) unstable; urgency=medium

  * new upstream release
  * use debhelper-compat (= 12)
  * update Standards-Version
  * add Provides:nix to nix-setup-systemd

 -- Eelco Dolstra <thomas@koch.ro>  Sun, 23 Feb 2020 16:14:43 +0000

nix (2.3.2-1) unstable; urgency=medium

  * new upstream release

 -- Thomas Koch <thomas@koch.ro>  Wed, 15 Jan 2020 19:13:21 +0000

nix (2.3.1-3) unstable; urgency=medium

  * Eelco Dostra is the only author mentioned in the nix manual
  * better package descriptions

 -- Thomas Koch <thomas@koch.ro>  Sat, 28 Dec 2019 13:50:27 +0000

nix (2.3.1-2) unstable; urgency=medium

  [ Kai Harries ]
  * autopkgtest: add two tests

  [ Arthur Gautier ]
  * Fixup warnings

  [ Jordan Justen ]
  * d/watch: Support versions other than latest

  [ Thomas Koch ]
  * add forgotten ${misc:Depends}
  * add override for missing upstream signature
  * override for long line in nix-store manpage
  * update debian/copyright

 -- Thomas Koch <thomas@koch.ro>  Fri, 13 Dec 2019 11:35:17 +0000

nix (2.3.1-1) unstable; urgency=medium

  * new upstream version
  * update debian-standards-version (4.3.0->4.4.1.0) no changes needed
  * split into two binary packages

 -- Thomas Koch <thomas@koch.ro>  Sat, 26 Oct 2019 16:58:24 +0000

nix (2.2.1-3) unstable; urgency=medium

  * fix lintian: init.d-script-needs-depends-on-lsb-base
  * use systemd tmpfiles.d mechanism for toplevel /nix folder
  * fix wrong nix.install; dh_install can not rename files
  * fix spelling error in d/control

 -- Thomas Koch <thomas@koch.ro>  Mon, 28 Jan 2019 18:56:21 +0100

nix (2.2.1-2) unstable; urgency=medium

  * add note about FHS violation to package description
  * fix missing plus after LGPL-2.1 in d/copyright

 -- Thomas Koch <thomas@koch.ro>  Sat, 19 Jan 2019 19:26:06 +0000

nix (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #877019)

 -- Kai Harries <kai.harries@gmail.com>  Sat, 12 Jan 2019 08:37:12 +0100

nix (0.1-1) unstable; urgency=medium

  * Pseudo version since dpkg-genchanges can only include changelog entries
    strictly later than an existing entry.

 -- Thomas Koch <thomas@koch.ro>  Sat, 12 Jan 2019 08:37:11 +0100

## nix 2.3.7+dfsg1

=== Makefile ===
makefiles = \
  local.mk \
  src/libutil/local.mk \
  src/libstore/local.mk \
  src/libmain/local.mk \
  src/libexpr/local.mk \
  src/nix/local.mk \
  src/resolve-system-dependencies/local.mk \
  scripts/local.mk \
  corepkgs/local.mk \
  misc/systemd/local.mk \
  misc/launchd/local.mk \
  misc/upstart/local.mk \
  doc/manual/local.mk \
  tests/local.mk \
  tests/plugins/local.mk

GLOBAL_CXXFLAGS += -g -Wall -include config.h

-include Makefile.config

include mk/lib.mk

=== perl/Makefile ===
makefiles = local.mk

GLOBAL_CXXFLAGS += -g -Wall

-include Makefile.config

include mk/lib.mk

=== debian/changelog ===
nix (2.3.7+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Do not set NIX_PROFILE anymore in user's environment.d, see
    https://salsa.debian.org/debian/nix/-/issues/13

 -- Thomas Koch <thomas@koch.ro>  Sun, 30 Aug 2020 16:58:27 +0200

=== debian/control ===
Source: nix
Section: devel
Priority: optional
Maintainer: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 12),
               autoconf-archive,
               bison,
               curl,
               docbook-xsl-ns,
               docbook5-xml,
               flex,
               libboost-dev,
               libboost-context-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libbrotli-dev,
               libbz2-dev,
               libcurl4-gnutls-dev,
               libdbd-sqlite3-perl,
               libgc-dev,
               liblzma-dev,
               libreadline-dev,
               libseccomp-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libwww-curl-perl,
               libxml2-utils,
               nlohmann-json3-dev,
               pkg-config,
               xsltproc,
Standards-Version: 4.5.0
Homepage: https://nixos.org/nix
Vcs-Browser: https://salsa.debian.org/debian/nix
Vcs-Git: https://salsa.debian.org/debian/nix.git

Package: nix-bin
Architecture: any
Depends: bzip2,
         curl,
         libdbd-sqlite3-perl,
         libwww-curl-perl,
         lsb-base (>= 3.0-6),
         perl,
         xz-utils,
         ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: nix-setup-systemd
Description: Purely functional package manager (binaries)
 A powerful package manager for Linux and other Unix systems that
 makes package management reliable and reproducible. Nix provides
 atomic upgrades and rollbacks, side-by-side installation of multiple
 versions of a package, multi-user package management and easy setup
 of build environments.
 .
 NOTE: This package only provides the nix binaries. One still needs
 to setup directories, environments variables and configuration files
 to use nix as described in the nix manual.
 The package nix-setup-systemd provides such a setup using systemd
 mechanisms, also see /usr/share/doc/nix-bin/README.Debian.

Package: nix-setup-systemd
Architecture: all
Depends: nix-bin,
         libpam-systemd,
         ${misc:Depends}
Provides: nix
Description: Purely functional package manager (systemd setup)
 A powerful package manager for Linux and other Unix systems that
 makes package management reliable and reproducible. Nix provides
 atomic upgrades and rollbacks, side-by-side installation of multiple
 versions of a package, multi-user package management and easy setup
 of build environments.
 .
 This package uses systemd mechanisms to setup the nix package
 manager.
 .
 NOTE: This package creates (via tmpfiles.d) a top-level folder /nix.
 This is not compliant with the file hierarchy standard but should not
 be a problem for most people. See /usr/share/doc/nix-bin/README.Debian.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel powerpc))
  export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

export EDITLINE_CFLAGS = "-DREADLINE"
export EDITLINE_LIBS   = "/usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so /usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so"
export V=1

export GLOBAL_CXXFLAGS += -fstack-protector-strong -Wformat -Werror=format-security


%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	  --enable-gc \
	  --with-coreutils-bin=/usr/bin:/bin \
	  --localstatedir=/nix/var \
	  --libdir=/usr/lib/nix


override_dh_auto_clean:
	dh_auto_clean
	# remove output files created from ./configure templates
	find . -name '*.in' | while read x; do if [ -f $${x%.in} ]; then rm -f $${x%.in}; fi; done

=== debian/tests/control ===
Tests: nix-daemon-status
Depends: @, make, systemd
Restrictions: isolation-container, needs-root

Tests: nix-env-and-shell
Depends: @, ca-certificates, make
Restrictions: allow-stderr, isolation-container, needs-root

=== debian/watch ===
version=4

opts="mode=LWP,pgpmode=auto,pagemangle=s%<Prefix>nix/nix-([\.\d]+)/</Prefix>%<a href="https://releases.nixos.org/nix/nix-$1/nix-$1.tar.xz">$1</a>%g,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://nix-releases.s3.amazonaws.com/?delimiter=/&prefix=nix/ \
https://releases.nixos.org/nix/nix-[\.\d]+/nix-([\.\d]+).tar.xz

## nix 2.3.10+dfsg1

=== debian/changelog ===
nix (2.3.10+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * Fix different bin paths on usrmerge and non-usrmerge systems
    Thanks to Vagrant Cascadian. (Closes: #970874)
  * update Standards-Version 4.5.0->4.5.1, no changes

 -- Thomas Koch <thomas@koch.ro>  Fri, 26 Mar 2021 08:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                nlohmann-json3-dev,
                pkg-config,
                xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
 Vcs-Git: https://salsa.debian.org/debian/nix.git

## nix 2.6.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,27 @@
 Section: devel
 Priority: optional
 Maintainer: Thomas Koch <thomas@koch.ro>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                bison,
                curl,
-               docbook-xsl-ns,
-               docbook5-xml,
                flex,
+               jq,
+               libarchive-dev,
                libboost-dev,
                libboost-context-dev,
                libboost-system-dev,
                libboost-thread-dev,
                libbrotli-dev,
+               libbsd-dev,
                libbz2-dev,
+               libcpuid-dev [amd64 i386],
                libcurl4-gnutls-dev,
                libdbd-sqlite3-perl,
                libgc-dev,
+               libgmock-dev,
+               libgtest-dev,
+               liblowdown-dev,
                liblzma-dev,
                libreadline-dev,
                libseccomp-dev,
@@ -26,10 +31,10 @@
                libssl-dev,
                libwww-curl-perl,
                libxml2-utils,
+               lowdown,
                nlohmann-json3-dev,
                pkg-config,
-               xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
 Vcs-Git: https://salsa.debian.org/debian/nix.git

## nix 2.6.0+dfsg

=== Makefile ===
makefiles = \
  mk/precompiled-headers.mk \
  local.mk \
  src/libutil/local.mk \
  src/libutil/tests/local.mk \
  src/libstore/local.mk \
  src/libstore/tests/local.mk \
  src/libfetchers/local.mk \
  src/libmain/local.mk \
  src/libexpr/local.mk \
  src/libcmd/local.mk \
  src/nix/local.mk \
  src/nlohmann/local.mk \
  src/resolve-system-dependencies/local.mk \
  scripts/local.mk \
  misc/bash/local.mk \
  misc/fish/local.mk \
  misc/zsh/local.mk \
  misc/systemd/local.mk \
  misc/launchd/local.mk \
  misc/upstart/local.mk \
  doc/manual/local.mk \
  tests/local.mk \
  tests/plugins/local.mk

-include Makefile.config

OPTIMIZE = 1

ifeq ($(OPTIMIZE), 1)
  GLOBAL_CXXFLAGS += -O3
else
  GLOBAL_CXXFLAGS += -O0 -U_FORTIFY_SOURCE
endif

include mk/lib.mk

GLOBAL_CXXFLAGS += -g -Wall -include config.h -std=c++17 -I src

=== perl/Makefile ===
makefiles = local.mk

GLOBAL_CXXFLAGS += -g -Wall -std=c++17 -I ../src

-include Makefile.config

OPTIMIZE = 1

ifeq ($(OPTIMIZE), 1)
  GLOBAL_CXXFLAGS += -O3
else
  GLOBAL_CXXFLAGS += -O0
endif

include mk/lib.mk

=== debian/changelog ===
nix (2.6.0+dfsg-3) unstable; urgency=medium

  * Limit autopkgtest to supported architectures

 -- Thomas Koch <thomas@koch.ro>  Wed, 02 Feb 2022 11:15:42 +0200

nix (2.6.0+dfsg-2) unstable; urgency=medium

  * Only depend on libcpuid on architectures where it is available

 -- Thomas Koch <thomas@koch.ro>  Tue, 01 Feb 2022 20:29:24 +0200

nix (2.6.0+dfsg-1) unstable; urgency=medium

  * new upstream version
  * no manual included anymore, see #1004481

 -- Thomas Koch <thomas@koch.ro>  Sat, 29 Jan 2022 16:09:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,11 @@
 	  --localstatedir=/nix/var \
 	  --libdir=/usr/lib/nix
 
+override_dh_installman:
+# file has 0 bytes and causes this error:
+# Could not determine section for debian/tmp/usr/share/man/man1/nix3-manpages
+	rm debian/tmp/usr/share/man/man1/nix3-manpages
+	dh_installman
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,4 @@
 Tests: nix-env-and-shell
 Depends: @, ca-certificates, make
 Restrictions: allow-stderr, isolation-container, needs-root
+Architecture: amd64 arm64

## nix 2.8.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
   src/libexpr/local.mk \
   src/libcmd/local.mk \
   src/nix/local.mk \
-  src/nlohmann/local.mk \
   src/resolve-system-dependencies/local.mk \
   scripts/local.mk \
   misc/bash/local.mk \

=== debian/changelog ===
nix (2.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:28:28 +0200

nix (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the +dfsg suffix as upstream is not releasing tarballs anymore
    anyways.

 -- Thomas Koch <thomas@koch.ro>  Mon, 02 May 2022 21:56:22 +0300

nix (2.7.0+dfsg-5) unstable; urgency=medium

  * also restrict nix-env autopkgtest to supported platforms

 -- Thomas Koch <thomas@koch.ro>  Sun, 27 Mar 2022 11:28:41 +0300

nix (2.7.0+dfsg-4) unstable; urgency=medium

  * restrict shell autopkgtest to supported platforms

 -- Thomas Koch <thomas@koch.ro>  Sat, 26 Mar 2022 10:13:19 +0200

nix (2.7.0+dfsg-3) unstable; urgency=medium

  * Trying to fix autopkgtest, take 2

 -- Thomas Koch <thomas@koch.ro>  Fri, 25 Mar 2022 17:02:03 +0200

nix (2.7.0+dfsg-2) unstable; urgency=medium

  * Trying to fix autopkgtest, take 1

 -- Thomas Koch <thomas@koch.ro>  Tue, 15 Mar 2022 20:34:06 +0200

nix (2.7.0+dfsg-1) unstable; urgency=medium

  * new upstream version
  * Add note to nix-bin.README.Debian to set up nix channel.
    Thanks to Matt Armstrong <matt@rfc20.org> for reporting.
    Closes: #1004113
  * fix: build path embedded in debug symbols                                                                                                                         =99% =99%
    This broke reproducible-builds. Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    Closes: #1006473

 -- Thomas Koch <thomas@koch.ro>  Sun, 13 Mar 2022 12:52:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 export EDITLINE_LIBS   = "/usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so /usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so"
 export V=1
 
-export GLOBAL_CXXFLAGS += -fstack-protector-strong -Wformat -Werror=format-security
+export GLOBAL_CXXFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -ffile-prefix-map=$(CURDIR)=.
 
 
 %:

=== debian/tests/control ===
Tests: nix-daemon-status
Depends: @, make, systemd
Restrictions: isolation-container, needs-root

Tests: nix-env
Depends: @, ca-certificates, make
Restrictions: allow-stderr, isolation-container, needs-root
# armhf: error: Package ‘hello-2.12’ in /nix/store/.../hello/default.nix:32 is not supported on ‘arm-linux’, refusing to evaluate.
# ppc64el: error: evaluation aborted with the following error message: 'unsupported platform for the pure Linux stdenv'
Architecture: amd64 arm64 i386

Tests: nix-shell
Depends: @, ca-certificates, make
Restrictions: allow-stderr, isolation-container, needs-root
# armhf, ppc64el gives:
# error: Package ‘shell’ in /nix/store/.../trivial-builders.nix:73 is not supported on ‘arm-linux’, refusing to evaluate.
Architecture: amd64 arm64 i386

## nix 2.16.1+dfsg

=== Makefile ===
makefiles = \
  mk/precompiled-headers.mk \
  local.mk \
  src/libutil/local.mk \
  src/libstore/local.mk \
  src/libfetchers/local.mk \
  src/libmain/local.mk \
  src/libexpr/local.mk \
  src/libcmd/local.mk \
  src/nix/local.mk \
  src/resolve-system-dependencies/local.mk \
  scripts/local.mk \
  misc/bash/local.mk \
  misc/fish/local.mk \
  misc/zsh/local.mk \
  misc/systemd/local.mk \
  misc/launchd/local.mk \
  misc/upstart/local.mk \
  doc/manual/local.mk \
  doc/internal-api/local.mk

-include Makefile.config

ifeq ($(tests), yes)
makefiles += \
  src/libutil/tests/local.mk \
  src/libstore/tests/local.mk \
  src/libexpr/tests/local.mk \
  tests/local.mk \
  tests/plugins/local.mk
else
makefiles += \
  mk/disable-tests.mk
endif

OPTIMIZE = 1

ifeq ($(OPTIMIZE), 1)
  GLOBAL_CXXFLAGS += -O3 $(CXXLTO)
  GLOBAL_LDFLAGS += $(CXXLTO)
else
  GLOBAL_CXXFLAGS += -O0 -U_FORTIFY_SOURCE
endif

include mk/lib.mk

GLOBAL_CXXFLAGS += -g -Wall -include config.h -std=c++2a -I src

=== debian/changelog ===
nix (2.16.1+dfsg-3ubuntu1) mantic; urgency=medium

  * d/control: add libssh-dev dependency (LP: #2037314).
  * d/t/control: disable tests requiring internet access.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 04 Oct 2023 15:33:09 +1300

nix (2.16.1+dfsg-3) unstable; urgency=medium

  [ Jordan Justen ]
  * Release to unstable

  [ Adrian Bunk ]
  * Use -g1 to work around mipsel address space limitation

 -- Jordan Justen <jljusten@debian.org>  Mon, 07 Aug 2023 02:29:40 -0700

nix (2.16.1+dfsg-2) unstable; urgency=medium

  * d/patches: Fix build error for !amd64 (Closes: #1041876)

 -- Jordan Justen <jljusten@debian.org>  Sat, 29 Jul 2023 01:41:24 -0700

nix (2.16.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1037790)
  * d/control: Assign Jordan Justen as Maintainer (Closes: #1019013)
  * d/watch: Scan github for new tags and tarballs
  * d/patches: Rebase patches for 2.16.1
  * d/control: Add librapidcheck-dev build-dep
  * d/rules: Drop quotes around EDITLINE_CFLAGS/EDITLINE_LIBS definition
  * d/rules: configure with --disable-shared to link to librapidcheck
  * d/control: Add new build dependencies for 2.16.1
  * d/*install: Update dh_install configuration for 2.16.1
  * d/copyright: Strip files from github tag based tarball
  * d/source/options: Ignore files stripped from tarball
  * d/patches: Don't use bundled toml11 (Closes: #1005879, #1005880)
  * d/watch, d/changelog: Add dfsg suffix back
  * d/control: Drop lsb-base dependency (lintian depends-on-obsolete-package)
  * d/control: Update Standards-Version to 4.6.2
  * d/nix-bin.lintian-overrides: Drop `nam` spelling-error-in-binary no longer flagged
  * d/nix-bin.lintian-overrides: Update spare-manual-page override format

 -- Jordan Justen <jljusten@debian.org>  Mon, 24 Jul 2023 01:12:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: nix
 Section: devel
 Priority: optional
-Maintainer: Thomas Koch <thomas@koch.ro>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                bison,
                curl,
                flex,
                jq,
+               libacl1-dev,
                libarchive-dev,
                libboost-dev,
                libboost-context-dev,
@@ -21,23 +23,40 @@
                libdbd-sqlite3-perl,
                libgc-dev,
                libgmock-dev,
+               libgnutls28-dev,
                libgtest-dev,
+               libidn2-dev,
+               libkrb5-dev,
+               libldap2-dev,
                liblowdown-dev,
+               liblz4-dev,
                liblzma-dev,
+               libnghttp2-dev,
+               libpsl-dev,
+               librapidcheck-dev,
                libreadline-dev,
+               librtmp-dev,
                libseccomp-dev,
+               libssh-dev,
+               libssh2-1-dev,
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
+               libtoml11-dev,
                libwww-curl-perl,
+               libxml2-dev,
                libxml2-utils,
+               libzstd-dev,
                lowdown,
+               nettle-dev,
                nlohmann-json3-dev,
                pkg-config,
-Standards-Version: 4.6.0
+               zlib1g-dev,
+Standards-Version: 4.6.2
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
 Vcs-Git: https://salsa.debian.org/debian/nix.git
+Rules-Requires-Root: no
 
 Package: nix-bin
 Architecture: any
@@ -45,7 +64,6 @@
          curl,
          libdbd-sqlite3-perl,
          libwww-curl-perl,
-         lsb-base (>= 3.0-6),
          perl,
          xz-utils,
          ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,12 @@
   export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
-export EDITLINE_CFLAGS = "-DREADLINE"
-export EDITLINE_LIBS   = "/usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so /usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so"
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+  export DEB_CXXFLAGS_MAINT_APPEND += -g1
+endif
+
+export EDITLINE_CFLAGS = -DREADLINE
+export EDITLINE_LIBS   = /usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so /usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so
 export V=1
 
 export GLOBAL_CXXFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -ffile-prefix-map=$(CURDIR)=.
@@ -34,6 +38,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  --enable-gc \
+	  --disable-shared \
 	  --with-coreutils-bin=/usr/bin:/bin \
 	  --localstatedir=/nix/var \
 	  --libdir=/usr/lib/nix

## nix 2.18.1%2Bdfsg

=== debian/tests/control ===
Tests: nix-daemon-status
Depends: @, make, systemd
Restrictions: isolation-container, needs-root

#Tests: nix-env
#Depends: @, ca-certificates, make
#Restrictions: allow-stderr, isolation-container, needs-root, needs-internet, flaky
# armhf: error: Package ‘hello-2.12’ in /nix/store/.../hello/default.nix:32 is not supported on ‘arm-linux’, refusing to evaluate.
# ppc64el: error: evaluation aborted with the following error message: 'unsupported platform for the pure Linux stdenv'
#Architecture: amd64 arm64 i386

#Tests: nix-shell
#Depends: @, ca-certificates, make
#Restrictions: allow-stderr, isolation-container, needs-root, needs-internet, flaky
# armhf, ppc64el gives:
# error: Package ‘shell’ in /nix/store/.../trivial-builders.nix:73 is not supported on ‘arm-linux’, refusing to evaluate.
#Architecture: amd64 arm64 i386

## nix 2.18.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,9 @@
   src/libstore/tests/local.mk \
   src/libexpr/tests/local.mk \
   tests/local.mk \
+  tests/ca/local.mk \
+  tests/dyn-drv/local.mk \
+  tests/test-libstoreconsumer/local.mk \
   tests/plugins/local.mk
 else
 makefiles += \

=== perl/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 makefiles = local.mk
 
-GLOBAL_CXXFLAGS += -g -Wall -std=c++17 -I ../src
+GLOBAL_CXXFLAGS += -g -Wall -std=c++2a -I ../src
 
 -include Makefile.config

=== debian/changelog ===
nix (2.18.1+dfsg-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:07:02 +1100

nix (2.18.1+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:12:17 +0000

nix (2.18.1+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:10:21 +0000

nix (2.18.1+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:03 +0100

nix (2.18.1+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: add libssh-dev dependency.
    - d/t/control: disable tests requiring internet access.

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 27 Nov 2023 15:31:23 +0000

nix (2.18.1+dfsg-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream release

  [ Vladimir Petko ]
  * d/tests/control: Add autopkgtests needs-internet/flaky for 2 cases (Closes: #1053732)

 -- Jordan Justen <jljusten@debian.org>  Tue, 17 Oct 2023 09:54:47 -0700

nix (2.17.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for upstream 2.17.1
  * debian: Use bash-static for nix sandbox-shell
  * nix.conf: Add archived alternate url for inaccesible github link
  * d/nix.install.files/nix.conf: Enable sandbox mode by default
  * d/nix.install.files/nix.conf: Update manual url in comment
  * d/patches: Update patch that fixed #1041876 to be cleaner
  * d/patches: Add patches to allow static bash to be used in sandbox
  * d/patches: Update makefiles to clean build products (Closes: #1049178)

 -- Jordan Justen <jljusten@debian.org>  Thu, 12 Oct 2023 23:37:22 -0700

=== debian/control ===
--- 
+++ 
@@ -60,7 +60,8 @@
 
 Package: nix-bin
 Architecture: any
-Depends: bzip2,
+Depends: bash-static,
+         bzip2,
          curl,
          libdbd-sqlite3-perl,
          libwww-curl-perl,

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	  --enable-gc \
 	  --disable-shared \
 	  --with-coreutils-bin=/usr/bin:/bin \
+	  --with-sandbox-shell=/usr/bin/bash-static \
 	  --localstatedir=/nix/var \
 	  --libdir=/usr/lib/nix

=== debian/watch ===
version=4

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repack,compression=xz,\
filenamemangle=s/.+\/(\d+(?:\.\d+)+)\.tar\.gz/nix-$1\.tar\.gz/ \
https://github.com/NixOS/nix/tags .*/(\d+(?:\.\d+)+)\.tar\.gz

## nix 2.23.3+dfsg

=== Makefile ===
# External build directory support

include mk/build-dir.mk

-include $(buildprefix)Makefile.config
clean-files += $(buildprefix)Makefile.config

# List makefiles

include mk/platform.mk

ifeq ($(ENABLE_BUILD), yes)
makefiles = \
  mk/precompiled-headers.mk \
  local.mk \
  src/libutil/local.mk \
  src/libstore/local.mk \
  src/libfetchers/local.mk \
  src/libmain/local.mk \
  src/libexpr/local.mk \
  src/libcmd/local.mk \
  src/nix/local.mk \
  src/libutil-c/local.mk \
  src/libstore-c/local.mk \
  src/libexpr-c/local.mk

ifdef HOST_UNIX
makefiles += \
  scripts/local.mk \
  maintainers/local.mk \
  misc/bash/local.mk \
  misc/fish/local.mk \
  misc/zsh/local.mk \
  misc/systemd/local.mk \
  misc/launchd/local.mk \
  misc/upstart/local.mk
endif
endif

ifeq ($(ENABLE_UNIT_TESTS), yes)
makefiles += \
  tests/unit/libutil/local.mk \
  tests/unit/libutil-support/local.mk \
  tests/unit/libstore/local.mk \
  tests/unit/libstore-support/local.mk \
  tests/unit/libfetchers/local.mk \
  tests/unit/libexpr/local.mk \
  tests/unit/libexpr-support/local.mk
endif

ifeq ($(ENABLE_FUNCTIONAL_TESTS), yes)
ifdef HOST_UNIX
makefiles += \
  tests/functional/local.mk \
  tests/functional/ca/local.mk \
  tests/functional/git-hashing/local.mk \
  tests/functional/dyn-drv/local.mk \
  tests/functional/local-overlay-store/local.mk \
  tests/functional/test-libstoreconsumer/local.mk \
  tests/functional/plugins/local.mk
endif
endif

# Some makefiles require access to built programs and must be included late.
makefiles-late =

ifeq ($(ENABLE_DOC_GEN), yes)
makefiles-late += doc/manual/local.mk
endif

ifeq ($(ENABLE_INTERNAL_API_DOCS), yes)
makefiles-late += doc/internal-api/local.mk
endif

ifeq ($(ENABLE_EXTERNAL_API_DOCS), yes)
makefiles-late += doc/external-api/local.mk
endif

# Miscellaneous global Flags

OPTIMIZE = 1

ifeq ($(OPTIMIZE), 1)
  GLOBAL_CXXFLAGS += -O3 $(CXXLTO)
  GLOBAL_LDFLAGS += $(CXXLTO)
else
  GLOBAL_CXXFLAGS += -O0 -U_FORTIFY_SOURCE
  unexport NIX_HARDENING_ENABLE
endif

ifdef HOST_WINDOWS
  # Windows DLLs are stricter about symbol visibility than Unix shared
  # objects --- see https://gcc.gnu.org/wiki/Visibility for details.
  # This is a temporary sledgehammer to export everything like on Unix,
  # and not detail with this yet.
  #
  # TODO do not do this, and instead do fine-grained export annotations.
  GLOBAL_LDFLAGS += -Wl,--export-all-symbols
endif

GLOBAL_CXXFLAGS += -g -Wall -Wdeprecated-copy -Wignored-qualifiers -Wimplicit-fallthrough -include $(buildprefix)config.h -std=c++2a -I src

# Include the main lib, causing rules to be defined

include mk/lib.mk

# Fallback stub rules for better UX when things are disabled
#
# These must be defined after `mk/lib.mk`. Otherwise the first rule
# incorrectly becomes the default target.

ifneq ($(ENABLE_UNIT_TESTS), yes)
.PHONY: check
check:
	@echo "Unit tests are disabled. Configure without '--disable-unit-tests', or avoid calling 'make check'."
	@exit 1
endif

ifneq ($(ENABLE_FUNCTIONAL_TESTS), yes)
.PHONY: installcheck
installcheck:
	@echo "Functional tests are disabled. Configure without '--disable-functional-tests', or avoid calling 'make installcheck'."
	@exit 1
endif

# Documentation fallback stub rules.

ifneq ($(ENABLE_DOC_GEN), yes)
.PHONY: manual-html manpages
manual-html manpages:
	@echo "Generated docs are disabled. Configure without '--disable-doc-gen', or avoid calling 'make manpages' and 'make manual-html'."
	@exit 1
endif

ifneq ($(ENABLE_INTERNAL_API_DOCS), yes)
.PHONY: internal-api-html
internal-api-html:
	@echo "Internal API docs are disabled. Configure with '--enable-internal-api-docs', or avoid calling 'make internal-api-html'."
	@exit 1
endif

ifneq ($(ENABLE_EXTERNAL_API_DOCS), yes)
.PHONY: external-api-html
external-api-html:
	@echo "External API docs are disabled. Configure with '--enable-external-api-docs', or avoid calling 'make external-api-html'."
	@exit 1
endif

=== perl/meson_options.txt ===
# Nix-Perl build options
#============================================================================


# compiler args
#============================================================================

option(
  'version',
  type : 'string',
  description : 'nix-perl version')

option(
  'tests',
  type : 'feature',
  value : 'disabled',
  description : 'run nix-perl tests')


# Location of Perl Modules
#============================================================================
option(
  'dbi_path',
  type : 'string',
  value : '/usr',
  description : 'path to perl::dbi')

option(
  'dbd_sqlite_path',
  type : 'string',
  value : '/usr',
  description : 'path to perl::dbd-SQLite')

=== debian/changelog ===
nix (2.23.3+dfsg-2) unstable; urgency=medium

  * d/control: Add build-dep libunistring-dev (Closes: #1077520)
  * d/control: Update Standards-Version to 4.7.0
  * c/control: Add build-dep dh-sequence-movetousr (Closes: #1073604)
  * d/control: Add build-dep libgpg-error-dev

 -- Jordan Justen <jljusten@debian.org>  Fri, 09 Aug 2024 13:18:43 -0700

nix (2.23.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 2.23.3
  * d/patches: Fix FTBFS with toml11 4.* (Closes: #1074693)
  * d/control: Add additional libng* build depends

 -- Jordan Justen <jljusten@debian.org>  Wed, 17 Jul 2024 10:07:45 -0700

nix (2.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * 2.19.0 and newer contains the two cherry-picked patches that
    Santiago Vila recommended. (Closes: #1070857)
  * d/nix-setup-systemd: Drop outdated lintian override
    (package-supports-alternative-init-but-no-init.d-script)
  * d/watch: Update url to find older archives
  * d/copyright: Drop exclusion of tests/lang/eval-okay-fromjson.*
  * d/patches: Rebase patches for 2.22.1
  * d/control: Add libgit2 dependency
  * d/rules: Add readline-flavor=readline to configure flags
  * d/control: Add git to Build-Depends (used by tests)

 -- Jordan Justen <jljusten@debian.org>  Wed, 05 Jun 2024 00:50:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nix
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
+Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-movetousr,
                autoconf-archive,
                bison,
                curl,
                flex,
+               git,
                jq,
                libacl1-dev,
                libarchive-dev,
@@ -22,8 +23,10 @@
                libcurl4-gnutls-dev,
                libdbd-sqlite3-perl,
                libgc-dev,
+               libgit2-dev,
                libgmock-dev,
                libgnutls28-dev,
+               libgpg-error-dev,
                libgtest-dev,
                libidn2-dev,
                libkrb5-dev,
@@ -32,17 +35,20 @@
                liblz4-dev,
                liblzma-dev,
                libnghttp2-dev,
+               libnghttp3-dev,
+               libngtcp2-crypto-gnutls-dev,
+               libngtcp2-dev,
                libpsl-dev,
                librapidcheck-dev,
                libreadline-dev,
                librtmp-dev,
                libseccomp-dev,
-               libssh-dev,
                libssh2-1-dev,
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
                libtoml11-dev,
+               libunistring-dev,
                libwww-curl-perl,
                libxml2-dev,
                libxml2-utils,
@@ -52,7 +58,7 @@
                nlohmann-json3-dev,
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
 Vcs-Git: https://salsa.debian.org/debian/nix.git

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	  --disable-shared \
 	  --with-coreutils-bin=/usr/bin:/bin \
 	  --with-sandbox-shell=/usr/bin/bash-static \
+	  --with-readline-flavor=readline \
 	  --localstatedir=/nix/var \
 	  --libdir=/usr/lib/nix

=== debian/tests/control ===
Tests: nix-daemon-status
Depends: @, make, systemd
Restrictions: isolation-container, needs-root

Tests: nix-env
Depends: @, ca-certificates, make
Restrictions: allow-stderr, isolation-container, needs-root, needs-internet, flaky
# armhf: error: Package ‘hello-2.12’ in /nix/store/.../hello/default.nix:32 is not supported on ‘arm-linux’, refusing to evaluate.
# ppc64el: error: evaluation aborted with the following error message: 'unsupported platform for the pure Linux stdenv'
Architecture: amd64 arm64 i386

Tests: nix-shell
Depends: @, ca-certificates, make
Restrictions: allow-stderr, isolation-container, needs-root, needs-internet, flaky
# armhf, ppc64el gives:
# error: Package ‘shell’ in /nix/store/.../trivial-builders.nix:73 is not supported on ‘arm-linux’, refusing to evaluate.
Architecture: amd64 arm64 i386

## nix 2.24.8+dfsg

=== debian/changelog ===
nix (2.24.8+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1082847)
  * d/patches: Rebase patches for 2.24.8
  * d/rules: Define testresults env-var
  * d/control: Change build-dep from pkg-config to pkgconf
  * d/patches: Add patch to fix various spelling typos
  * debian: Run wrap-and-sort
  * d/source: Drop lintian unused-override:
    orig-tarball-missing-upstream-signature

 -- Jordan Justen <jljusten@debian.org>  Sat, 28 Sep 2024 16:07:25 -0700

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Jordan Justen <jljusten@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-movetousr,
-               autoconf-archive,
+Build-Depends: autoconf-archive,
                bison,
                curl,
+               debhelper-compat (= 13),
+               dh-sequence-movetousr,
                flex,
                git,
                jq,
                libacl1-dev,
                libarchive-dev,
+               libboost-context-dev,
                libboost-dev,
-               libboost-context-dev,
                libboost-system-dev,
                libboost-thread-dev,
                libbrotli-dev,
@@ -43,9 +43,9 @@
                libreadline-dev,
                librtmp-dev,
                libseccomp-dev,
-               libssh2-1-dev,
                libsodium-dev,
                libsqlite3-dev,
+               libssh2-1-dev,
                libssl-dev,
                libtoml11-dev,
                libunistring-dev,
@@ -56,8 +56,8 @@
                lowdown,
                nettle-dev,
                nlohmann-json3-dev,
-               pkg-config,
-               zlib1g-dev,
+               pkgconf,
+               zlib1g-dev
 Standards-Version: 4.7.0
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
@@ -73,7 +73,9 @@
          libwww-curl-perl,
          perl,
          xz-utils,
-         ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Recommends: nix-setup-systemd
 Description: Purely functional package manager (binaries)
  A powerful package manager for Linux and other Unix systems that
@@ -90,9 +92,7 @@
 
 Package: nix-setup-systemd
 Architecture: all
-Depends: nix-bin,
-         libpam-systemd,
-         ${misc:Depends}
+Depends: libpam-systemd, nix-bin, ${misc:Depends}
 Provides: nix
 Description: Purely functional package manager (systemd setup)
  A powerful package manager for Linux and other Unix systems that

## nix 2.24.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
   src/libfetchers/local.mk \
   src/libmain/local.mk \
   src/libexpr/local.mk \
+  src/libflake/local.mk \
   src/libcmd/local.mk \
   src/nix/local.mk \
   src/libutil-c/local.mk \
@@ -45,13 +46,15 @@
   tests/unit/libstore-support/local.mk \
   tests/unit/libfetchers/local.mk \
   tests/unit/libexpr/local.mk \
-  tests/unit/libexpr-support/local.mk
+  tests/unit/libexpr-support/local.mk \
+  tests/unit/libflake/local.mk
 endif
 
 ifeq ($(ENABLE_FUNCTIONAL_TESTS), yes)
 ifdef HOST_UNIX
 makefiles += \
   tests/functional/local.mk \
+  tests/functional/flakes/local.mk \
   tests/functional/ca/local.mk \
   tests/functional/git-hashing/local.mk \
   tests/functional/dyn-drv/local.mk \
@@ -66,14 +69,6 @@
 
 ifeq ($(ENABLE_DOC_GEN), yes)
 makefiles-late += doc/manual/local.mk
-endif
-
-ifeq ($(ENABLE_INTERNAL_API_DOCS), yes)
-makefiles-late += doc/internal-api/local.mk
-endif
-
-ifeq ($(ENABLE_EXTERNAL_API_DOCS), yes)
-makefiles-late += doc/external-api/local.mk
 endif
 
 # Miscellaneous global Flags
@@ -98,7 +93,7 @@
   GLOBAL_LDFLAGS += -Wl,--export-all-symbols
 endif
 
-GLOBAL_CXXFLAGS += -g -Wall -Wdeprecated-copy -Wignored-qualifiers -Wimplicit-fallthrough -include $(buildprefix)config.h -std=c++2a -I src
+GLOBAL_CXXFLAGS += -g -Wall -Wdeprecated-copy -Wignored-qualifiers -Wimplicit-fallthrough -Werror=unused-result -Werror=suggest-override -include $(buildprefix)config.h -std=c++2a -I src
 
 # Include the main lib, causing rules to be defined
 
@@ -131,17 +126,3 @@
 	@echo "Generated docs are disabled. Configure without '--disable-doc-gen', or avoid calling 'make manpages' and 'make manual-html'."
 	@exit 1
 endif
-
-ifneq ($(ENABLE_INTERNAL_API_DOCS), yes)
-.PHONY: internal-api-html
-internal-api-html:
-	@echo "Internal API docs are disabled. Configure with '--enable-internal-api-docs', or avoid calling 'make internal-api-html'."
-	@exit 1
-endif
-
-ifneq ($(ENABLE_EXTERNAL_API_DOCS), yes)
-.PHONY: external-api-html
-external-api-html:
-	@echo "External API docs are disabled. Configure with '--enable-external-api-docs', or avoid calling 'make external-api-html'."
-	@exit 1
-endif

=== debian/changelog ===
nix (2.24.9+dfsg-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:15:10 -0600

nix (2.24.9+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091907). Remaining changes:
    - d/t/control: disable tests requiring internet access.
  * Dropped changes, included in Debian:
    - Rebuild for libcpuid17.
      + d/control: add libunistring-dev and libgpg-error-dev
        dependency.
  * Dropped changes, no longer needed:
    - d/control: add libssh-dev dependency.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 16 Dec 2024 20:53:07 -0300

nix (2.24.9+dfsg-2) unstable; urgency=medium

  * d/control: Depend on ca-certificates (Closes: #1084999)

 -- Jordan Justen <jljusten@debian.org>  Mon, 28 Oct 2024 15:42:27 -0700

nix (2.24.9+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Jordan Justen <jljusten@debian.org>  Fri, 11 Oct 2024 09:24:23 -0700

nix (2.18.1+dfsg-1ubuntu6) plucky; urgency=medium

  * Rebuild for libcpuid17.
    - d/control: add libunistring-dev and libgpg-error-dev dependency.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 17:26:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: nix
 Section: devel
 Priority: optional
-Maintainer: Jordan Justen <jljusten@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: autoconf-archive,
                bison,
+               ca-certificates,
                curl,
                debhelper-compat (= 13),
                dh-sequence-movetousr,

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 export GLOBAL_CXXFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -ffile-prefix-map=$(CURDIR)=.
 
+export testresults = testresults
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: nix-daemon-status
Depends: make, systemd, @
Restrictions: isolation-container, needs-root

# Tests: nix-env
# Depends: ca-certificates, make, @
# Restrictions: allow-stderr,
#               flaky,
#               isolation-container,
#               needs-internet,
#               needs-root
# armhf: error: Package ‘hello-2.12’ in /nix/store/.../hello/default.nix:32 is not supported on ‘arm-linux’, refusing to evaluate.
# ppc64el: error: evaluation aborted with the following error message: 'unsupported platform for the pure Linux stdenv'
#Architecture: amd64 arm64 i386

# Tests: nix-shell
# Depends: ca-certificates, make, @
# Restrictions: allow-stderr,
#               flaky,
#               isolation-container,
#               needs-internet,
#               needs-root
# armhf, ppc64el gives:
# error: Package ‘shell’ in /nix/store/.../trivial-builders.nix:73 is not supported on ‘arm-linux’, refusing to evaluate.
#Architecture: amd64 arm64 i386

## nix 2.24.12+dfsg

=== debian/changelog ===
nix (2.24.12+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: nix no longer vendor bundles toml11
  * d/patches: Rebase patches for 2.24.12
  * d/patches: Define HAVE_LOWDOWN_1_4 when found (Closes: #1098411)

 -- Jordan Justen <jljusten@debian.org>  Wed, 05 Mar 2025 09:45:48 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nix
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
+Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: autoconf-archive,
                bison,
                ca-certificates,

## nix 2.26.3%2Bdfsg

=== debian/changelog ===
nix (2.26.3+dfsg-1ubuntu5) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:20:45 +0100

nix (2.26.3+dfsg-1ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:03 +0200

nix (2.26.3+dfsg-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:38 +0200

nix (2.26.3+dfsg-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 16:12:53 +0200

nix (2.26.3+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: disable tests requiring internet access.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 21 May 2025 18:58:21 +0100

nix (2.26.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian: Excluded file renamed to install-nix-from-tarball.sh
  * d/patches: Update patches for 2.26.3 and meson
  * debian: Convert to meson build
  * d/control: nix >= 2.25 depends on libgit2 >= 1.9
  * d/control: Add cmake build-dep (used to locate toml11)
  * debian: Disabled unit tests and drop some related build-deps
  * d/control Add new boost module build dependencies
  * d/control: Add rsync build-dep
  * d/*.install: Update install paths for meson build
  * d/control: Standards-Version: 4.7.0 => 4.7.2

 -- Jordan Justen <jljusten@debian.org>  Wed, 09 Apr 2025 14:11:08 -0700
